<?php
class FLASHCHAT_CTRL_Chat extends OW_ActionController
{
	public function index(){
		$language = OW::getLanguage(); 		
        $fc_setting = FLASHCHAT_BOL_FlashchatDao::getInstance()->getSettings();
        if($fc_setting->fullscreen == 1){
        	$width = "100%";
        	$height = "100%";
        }else{
        	$width = $fc_setting->client_width;
        	$height = $fc_setting->client_height;
        }
        $chaturl = FLASHCHAT_CLASS_Flashchat::getInstance()->getChatUrl($fc_setting,false);
        if($fc_setting->extendserver == 2){
        	$chattype = "free";
        } elseif ($fc_setting->extendserver == 1){
        	if($fc_setting->clienttype == 1){
				$chattype = "flash";
			}else{
				$chattype = "html";
			}
        }else{
        	if($fc_setting->servertype != 1 && $fc_setting->clienttype == 1){
				$chattype = "flash";
			}else{
				$chattype = "html";
			}
        }
        
        if($fc_setting->fullscreen == 1){
        	$title = OW::getLanguage()->text('123flashchat', 'chat_title');
?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title><?php echo $title;?></title>
	<style type="text/css">
		html,body{height:100%;}
		body{margin:0; padding:0; overflow:hidden;}
	</style>
</head>
<body>
<?php if($chattype == 'free'){ ?>
	<script language="javascript">
		var clientWidth = document.body.clientWidth;
		var clientHeight = window.innerHeight;
		var htmlcode = '<script language="javascript" src="<?php echo $chaturl; ?>';
		htmlcode += '&width='+clientWidth+'&height='+clientHeight+'"></scr';
		htmlcode += 'ipt>';
		document.write(htmlcode);
	</script>
<?php }elseif($chattype == 'html'){ ?>
	<script src="<?php echo $fc_setting->client_loc;?>123flashchat.js"></script>
	<iframe width="<?php echo $width; ?>" height="<?php echo $height; ?>" src="<?php echo $chaturl; ?>" id="frame" HSPACE="0" VSPACE="0" frameborder="0"  ></iframe>
<?php }elseif($chattype == 'flash'){ ?>
	<script src="<?php echo $fc_setting->client_loc;?>123flashchat.js"></script>
	<object width="<?php echo $width; ?>" height="<?php echo $height; ?>" id="topcmm_123flashchat" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,19,0"  type="application/x-shockwave-flash">
		<param name=movie value="<?php echo $chaturl; ?>">
		<param name=quality value="high">
		<param name="menu" value="false">
		<param name="allowScriptAccess" value="always">
		<embed src="<?php echo $chaturl; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" allowScriptAccess="always" quality="high" menu="false" type="application/x-shockwave-flash" pluginspace="http://www.macromedia.com/go/getflashplayer"  name="topcmm_123flashchat"></embed>
	</object>
<?php } ?>
</body>
</html>
<?php 
        	exit;
        }else{
        	$title = OW::getLanguage()->text('123flashchat', 'main_menu_item');
        	$this->setPageHeading( $title );
        	$this->assign('setting', $fc_setting);
        	$this->assign('title', $title);
        	$this->assign('width', $width);
        	$this->assign('height', $height);
        	$this->assign('chaturl', $chaturl);
        	$this->assign('chattype', $chattype);
        }
        
	}
	
	public function loginchat(){
		$LOGIN_SUCCESS = 0;
		$LOGIN_PASSWD_ERROR = 1;
		$LOGIN_NICK_EXIST = 2;
		$LOGIN_ERROR = 3;
		$LOGIN_ERROR_NOUSERID = 4;
		$LOGIN_SUCCESS_ADMIN = 5;
		$LOGIN_NOT_ALLOW_GUEST = 6;
		$LOGIN_USER_BANED = 7;
		$username = !empty($_GET['username']) ? rawurldecode($_GET['username']) : "";
		$password = !empty($_GET['password']) ? rawurldecode($_GET['password']) : "";
		$username = mysql_real_escape_string($username);
		if(!$username || !$password){
			echo $LOGIN_ERROR;
			exit;
		}		
		$result = BOL_UserService::getInstance()->processSignIn($username, $password, true);
		$code = $result->getCode();	//-2:Invalid password,	-1:Invalid username or email	1:login success
		$loginstatus = 3;
		switch($code){
			case -1:
				$loginstatus = $LOGIN_ERROR_NOUSERID;
				break;
			case -2:
				//echo $LOGIN_PASSWD_ERROR;
				$user = FLASHCHAT_BOL_UserDao::getInstance()->getUserByName($username);
				if($user->password == $password){
					$loginstatus = $LOGIN_SUCCESS;
				}else{
					$loginstatus = $LOGIN_PASSWD_ERROR;
				}
				break;
			case 1:
				$loginstatus = $LOGIN_SUCCESS;
				break;
			default :
				break;
		}		
		if($loginstatus == 0){
			if(!isset($user)){
				$user = FLASHCHAT_BOL_UserDao::getInstance()->getUserByName($username);
			}
			$isAdmin = BOL_AuthorizationService::getInstance()->isActionAuthorizedForUser($user->id, BOL_AuthorizationService::ADMIN_GROUP_NAME);
			if($isAdmin){
				echo $LOGIN_SUCCESS_ADMIN;
			}else{
				echo $LOGIN_SUCCESS;
			}
			//var_dump($user);
			echo '|eml='.$user->email;
			$useravatar = FLASHCHAT_BOL_UserDao::getInstance()->getUserPhotoHashById($user->id);
			if($useravatar){
				echo '&avt=' . OW_URL_HOME . 'ow_userfiles/plugins/base/avatars/avatar_' . $user->id . '_' . $useravatar->hash . '.jpg';
				echo '&lckavt=1';
			}
			//nick name, birthday,	sex
			$userdata = FLASHCHAT_BOL_UserDao::getInstance()->getUserDataById($user->id);
			foreach ($userdata as $key => $value){
				if($value->questionName == 'birthdate'){
					echo '&a=' . str_replace('-', '', substr($value->dateValue, 0, 10));
					continue;
				}
				if($value->questionName == 'realname'){
					echo '&nk=' . $value->textValue;
					continue;
				}
				if($value->questionName == 'sex'){
					echo '&s=' . $value->intValue;
					continue;
				}				
			}
		}else{
			echo $loginstatus;
		}
		exit;
	}
}